// == インクルード 必要ファイルの読み込み ==
#include <FtduinoSimple.h>
#include "pitches.h"

// メロディーの配列
int melody[] = {
  NOTE_C4, NOTE_G3, NOTE_G3, NOTE_A3, NOTE_G3, 0, NOTE_B3, NOTE_C4
};
// メロディーの長さに注意
int noteDurations[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

void setup() {
  // 11を出力に
  pinMode(11, OUTPUT);
}

void loop() {
  //  配列をループ
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    int noteDuration = 1000 / noteDurations[thisNote];  // 音を出す時間を計算
    tone(11, melody[thisNote], noteDuration);  // melody[thisNote番目]　の音を　noteDurationミリ秒 出力する

    int pauseBetweenNotes = noteDuration * 1.30; // 停止時間を計算
    delay(pauseBetweenNotes); // pauseBetweenNotes 時間停止
  }
  delay(1000); // 1秒間停止
}
